@charset "UTF-8";

/* e-nitio mediasign
** Lindenstraße 14
** 50674 Köln
** www.e-nitio.com
** info@e-nitio.com */




// Import Framework Styles
@import "/cms/less/_variables.less"; // "../_variables";
@import "/cms/less/_mixins.less"; // "../mixins";


// ####################
//
// Project Style
//
// ####################


.section--collapse {

	.collapse--item {
		
		+ .collapse--item {
			margin-top: @sp-small-xs;
			@media screen and @mq-sm { margin-top: @sp-small-sm; }
			@media screen and @mq-md { margin-top: @sp-small-md; }
			@media screen and @mq-lg { margin-top: @sp-small-lg; }
		}

		.collapse--header {
			background-color: @brand-gray-light;
		}
		
		.collapse--body {
			border: 1px dotted @border-color;
			border-top: 0 none;
		}
		
		.collapse--body,
		.collapse--footer {
			background-color: @brand-contrast;
		}

		.collapse--header {
			position: relative;
			.transition();


			h2 { 
				margin-bottom: 0; 
				.em(padding-right, 35);
			}

			a {
				display: block;

				&::before{ display: none; }

				&::after {
					content: '';
					position: absolute; 
					.em(right, 15);
					top: 50%;
					transform: translateY(-50%);
					.em-width(20);
					.em-height(20);
					background-image: url(/cms/img/icons/icon-arrow_down-primary.svg);
					@media screen and @mq-sm { .em(right, 20); }
					@media screen and @mq-md { .em(right, 25); }
				}
			}

			&.collapsed {
				a::after { background-image: url(/cms/img/icons/icon-arrow_up-primary.svg); }
			}
		}

		.collapse--body {
			/* Custom styling here */
		}

		.collapse--footer {
			/* Custom styling here */
		}
	}
}